# Class BasicComboPopup.ItemHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboPopup.ItemHandler

All Implemented Interfaces:
  `ItemListener, EventListener`

Enclosing class:
  `BasicComboPopup`

protected class BasicComboPopup.ItemHandler extends Object implements ItemListener
This listener watches for changes to the selection in the combo box.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ItemHandler()`
  Constructs an `ItemHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `itemStateChanged(ItemEvent e)`
  Invoked when an item has been selected or deselected by the user.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ItemHandler

    protected ItemHandler()
    Constructs an `ItemHandler`.

- ## Method Details

  - ### itemStateChanged

    public void itemStateChanged(ItemEvent e)
    Description copied from interface: `ItemListener`
    Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).
    Specified by:
      `itemStateChanged` in interface `ItemListener`
    Parameters:
      `e` - the event to be processed